Omnis Studio DAMs

Clientware Configuration

Setting-up Database Clientware on your Development Platform

The following tables list proprietary databases and the additional software ("clientware") needed to complete each connection.

Although several options are normally available for a given database, in the event of technical support issues with Omnis DAMs, it is the clientware and drivers listed on this page that we ask all faults be verified against.

Windows (32 & 64 bit*)

PostgreSQL 8.1 and later PostgreSQL Access Library; "libpq.dll" (supplied).
MySQL 4.1 and later None required (embedded)
SQLite (format 3) None required (embedded)
Amazon SimpleDB None required (embedded)
OpenBase 11.x None required (embedded)
FrontBase 4.x and later None required (embedded)*
Oracle 8i and later Oracle Instant Client 11g 11.1.0.7 or later
(Oracle Client 9i 9.2.0.1 or later required)
DB2 UDB 7.1 and later
DB2 Express 9.0 and later
DB2 Run Time Client 7.2 (DB2 v8 max)
DB2 Express-C Client 9.0 (DB2 Express-C /v9)
Sybase ASE 12.5 and later
Sybase ASA 9.0 and later
Open Client 15.0 or later (Open Client 12.5 or later required)
Use of Open Client 12.5 with Studio 4 .3 requires a substitute DAM
Sybase ASE 12.5 and later
SQL Server 2000 and later
Sybase ASA 9 and later
FreeTDS client library (Studio 10 or later. Technote TNSQ0036 explains usage)
ODBC->Sybase ASA 9 and later
SQL Anywhere ODBC Driver (supplied with ASA)
ODBC->SQL Server 7/ 2000
ODBC->SQL Server 2005 and later
"Microsoft ODBC Driver 11 for SQL Server"
"SQL Server Native Client 11.0" (SQLNCLI11.DLL) or
"SQL Server" (SQLSVR32.DLL 10.00 or later)
ODBC->Microsoft Access Microsoft Access Driver 4.00 or later

Notes

  • Please note that the 64-bit edition of Omnis Studio requires 64-bit clientware and vice-versa. The 64-bit ODBC DAM requires the 64-bit ODBC Administrator and 64-bit ODBC drivers.
  • Where ODBC Data Bridge connection is specified for other platforms, the ODBC drivers listed above are recommended to complete the appropriate connection.
  • The FrontBase DAM can be obtained from www.frontbase.com

 

macOS (64-bit)

PostgreSQL 8.1 and later PostgreSQL Access Library; "libpq.dylib" (supplied)1
MySQL 4.1 and later None required (embedded)
SQLite (format 3) None required (embedded)
Amazon SimpleDB None required (embedded)
OpenBase 11.x None required (embedded)
FrontBase 4.x and later None required (embedded)2
Oracle 8i and later Oracle Instant Client 11.2.0.3 or later (x64) (Technote TNSQ0010 explains usage)
Please note that Instant Client version 12.1 is not supported.
DB2 N/A
Sybase ASE 12.5 and later
SQL Server 2000 and later
Sybase ASA 9 and later
FreeTDS client library (Studio 10 or later. Technote TNSQ0036 explains usage)
ODBC->Sybase ASA 9 and later
SQL Anywhere "dbodbcX_r.bundle" driver, (e.g. "dbodbc11_r.bundle")
Studio 4.3/5.0 requires a subsitute ODBC DAM . (Technote TNSQ0016 explains usage)
ODBC->SQLServer 2000 and later Microsoft ODBC Driver for SQL Server. (Technote TNSQ0038 explains usage).
Omnis ODBC DataBridge3 (Studio 6.0 and later)
ODBC->Other Omnis ODBC DataBridge3 (Studio 6.0 and later)

Notes

  1. As of Studio 8.0.2 we no longer distribute libpq.dylib since this is provided by default with macOS 10.10 (Yosemite) and later. Please refer to technote TNSQ0031 if you want to make SSL connections.
  2. The FrontBase DAM can be obtained from www.frontbase.com
  3. To complete an ODBC connection using the ODBC Data Bridge, please refer to the relevant Windows configuration.

 

Linux (64-bit)

PostgreSQL 8.1 and later PostgreSQL Access Library; "libpq.so" (supplied).
MySQL 4.1 and later None required (embedded)
SQLite (format 3) None required (embedded)
Amazon SimpleDB None required (embedded)
FrontBase 4.x and later None required (embedded)*
Oracle 8i and later Oracle11g Instant Client 11.1.0.6 or later
DB2 UDB 7.1 and later DB2 Run-Time Client v7.1 or later
Sybase ASE 12.5 and later Open Client 15.0 or later
Use of Open Client 12.5 with Studio 4.3 requires a substitute DAM
Sybase ASE 12.5 and later
SQL Server 2000 and later
Sybase ASA 9 and later
FreeTDS client library (Studio 10 or later. Technote TNSQ0036 explains usage)
ODBC->SQL Server 2000 and later Microsoft ODBC Driver for SQL Server. (Technote TNSQ0038 explains usage).
Omnis ODBC DataBridge (Studio 6.0 and later)

Notes

  • To complete an ODBC connection using the ODBC Data Bridge, please refer to the relevant Windows configuration.
  • Certified with unixODBC Driver Manager v2.2.11 (libodbc.so.1.0.0)
  • The FrontBase DAM can be obtained from www.frontbase.com

 

Search Omnis Developer Resources

 

Hit enter to search

X